Skip to navigation

Non Insurance Payer Refunds V 1 Update

Updates the non-insurance payer refund record matching the provided non_insurance_payer_refund_id. If updating the refund amount, then the allocations must be appropriately updated as well.

Authentication

AuthorizationBearer
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

Path parameters

non_insurance_payer_refund_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
refund_timestampdatetime or nullOptional
refund_noteobject or nullOptional
refund_reasonobject or nullOptional
invoice_idobject or nullOptional

Response

non_insurance_payer_refund_idstringformat: "uuid"
non_insurance_payerobject
amount_centsinteger
allocationslist of objects
refund_timestampdatetime or nullOptional
refund_notestring or nullOptional
check_numberstring or nullOptional
refund_reasonenum or nullOptional
Allowed values:
invoice_idstring or nullOptionalformat: "uuid"

Errors

404
Not Found Error
422
Unprocessable Entity Error